Name: kdm-conf-milab
Summary: KDM config for Machine Intelligence Laboratory
Version: 1.1
Release: 0
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Requires: kdebase3-kdm
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB
Source0: _opt_kde3_share_wallpapers_ars_en_re_1.jpg
Source1: _opt_kde3_share_wallpapers_ars_en_re_2.jpg
Source2: _opt_kde3_share_wallpapers_ars_en_re_3.jpg
Source3: _opt_kde3_share_wallpapers_phare_des_balleines.jpg
Source4: _opt_kde3_share_wallpapers_sand_fine.jpg
Source5: _opt_kde3_share_wallpapers_sand_wide.jpg
Source6: _opt_kde3_share_wallpapers_seam_of_seaweed.jpg
Source7: _opt_kde3_share_wallpapers_wave.jpg
Source8: _opt_kde3_share_wallpapers_wet_sand.jpg
Source9: _opt_kde3_share_wallpapers_wheat1.jpg
Source10: _opt_kde3_share_wallpapers_wheat2.jpg
Source11: _opt_kde3_share_wallpapers_wheat3.jpg
Source12: _opt_kde3_share_wallpapers_white_stone.jpg

%description
KDE wallpapers, and KDM login configuration for MI Lab.

%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers
cp _opt_kde3_share_wallpapers_ars_en_re_1.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/ars_en_re_1.jpg
cp _opt_kde3_share_wallpapers_ars_en_re_2.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/ars_en_re_2.jpg
cp _opt_kde3_share_wallpapers_ars_en_re_3.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/ars_en_re_3.jpg
cp _opt_kde3_share_wallpapers_phare_des_balleines.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/phare_des_balleines.jpg
cp _opt_kde3_share_wallpapers_sand_fine.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/sand_fine.jpg
cp _opt_kde3_share_wallpapers_sand_wide.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/sand_wide.jpg
cp _opt_kde3_share_wallpapers_seam_of_seaweed.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/seam_of_seaweed.jpg
cp _opt_kde3_share_wallpapers_wave.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/wave.jpg
cp _opt_kde3_share_wallpapers_wet_sand.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/wet_sand.jpg
cp _opt_kde3_share_wallpapers_wheat1.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/wheat1.jpg
cp _opt_kde3_share_wallpapers_wheat2.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/wheat2.jpg
cp _opt_kde3_share_wallpapers_wheat3.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/wheat3.jpg
cp _opt_kde3_share_wallpapers_white_stone.jpg "$RPM_BUILD_ROOT"/opt/kde3/share/wallpapers/white_stone.jpg

%files
%defattr(-,root,root)
%attr(644,root,root) %config /opt/kde3/share/wallpapers/ars_en_re_1.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/ars_en_re_2.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/ars_en_re_3.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/phare_des_balleines.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/sand_fine.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/sand_wide.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/seam_of_seaweed.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/wave.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/wet_sand.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/wheat1.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/wheat2.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/wheat3.jpg
%attr(644,root,root) %config /opt/kde3/share/wallpapers/white_stone.jpg

%clean

%post
cat<<EOF > /etc/opt/kde3/share/config/kdm/backgroundrc
[Desktop0]
BackgroundMode=Flat
BlendBalance=100
BlendMode=NoBlending
ChangeInterval=60
Color1=164,182,222
Color2=82,109,180
CurrentWallpaper=0
LastChange=0
MinOptimizationDepth=1
MultiWallpaperMode=NoMulti
Pattern=
Program=
ReverseBlending=false
UseSHM=false
Wallpaper=sand_fine.jpg
WallpaperList=
WallpaperMode=Scaled
EOF

cat<<EOF > /etc/opt/kde3/share/config/kdm/kdmrc
[General]
AuthDir=/var/lib/xdm/authdir/authfiles/
ConfigVersion=2.0
PidFile=/var/run/kdm.pid
Xservers=/etc/opt/kde3/share/config/kdm/Xservers

[Shutdown]
HaltCmd=/sbin/halt
LiloCmd=/sbin/lilo
LiloMap=/boot/map
RebootCmd=/sbin/reboot
UseLilo=false

[X-*-Core]
AllowNullPasswd=true
AllowRootLogin=true
AllowShutdown=All
AutoReLogin=false
Reset=/etc/X11/xdm/Xreset
Resources=/etc/X11/xdm/Xresources
Session=/etc/X11/xdm/Xsession
Setup=/etc/X11/xdm/Xsetup
Startup=/etc/X11/xdm/Xstartup
TerminateServer=true

[X-*-Greeter]
AdminSession=YaSTadminSession
AntiAliasing=true
BackgroundCfg=/etc/opt/kde3/share/config/kdm/backgroundrc
ColorScheme=SuSE
DefaultUser=4Dgifts
EchoMode=OneStar
FaceSource=AdminOnly
FailFont=Nimbus Sans l,14,-1,5,74,0,0,0,0,0
FocusPasswd=false
GUIStyle=Keramik
GreetFont=Nimbus Sans l,20,-1,5,48,0,0,0,0,0
GreetString=%h
GreeterPos=50,50
GreeterPosFixed=false
GreeterPosX=100
GreeterPosY=100
HiddenUsers=root,nobody,bigsister
Language=en_US
LogoArea=Clock
LogoPixmap=
MaxShowUID=65000
MinShowUID=500
PreselectUser=None
SelectedUsers=
SessionTypes=kde,gnome,fvwm2,failsafe,
ShowUsers=NotHidden
SortUsers=true
StdFont=Nimbus Sans l,14,-1,5,48,0,0,0,0,0
UseBackground=true
UserCompletion=false
UserList=false

[X-:*-Core]
AllowNullPasswd=true
AllowRootLogin=true
AllowShutdown=All
NoPassEnable=false
NoPassUsers=

[X-:*-Greeter]
AdminSession=YaSTadminSession

[X-:0-Core]
AutoLoginEnable=false
AutoLoginUser=4Dgifts
NoPassEnable=false
NoPassUsers=

[X-:0-Greeter]
AdminSession=
LogSource=/dev/xconsole
ShowLog=false

[Xdmcp]
Enable=false
Willing=/etc/X11/xdm/Xwilling
Xaccess=/etc/X11/xdm/Xaccess
EOF

%changelog
* Thu Feb 24 2005 Anna Langley <jal58@cam.ac.uk>
  Updated for SuSE 9.2
* Thu Sep 09 2004 Anna Langley <jal58@cam.ac.uk>
  Created initial RPM.
